# eric4.UI.PixmapCache

Module implementing a pixmap cache for icons.

### Classes

PixmapCache | Class implementing a pixmap cache for icons.

### Functions

addSearchPath | Module function to add a path to the search path.
getIcon | Module function to retrieve an icon.
getPixmap | Module function to retrieve a pixmap.

## PixmapCache

Class implementing a pixmap cache for icons.

### Derived from

object

### Methods

PixmapCache | Constructor
addSearchPath | Public method to add a path to the search path.
getPixmap | Public method to retrieve a pixmap.

#### PixmapCache (Constructor)

PixmapCache()

Constructor

#### PixmapCache.addSearchPath

addSearchPath(path)

Public method to add a path to the search path.

path
  path to add (QString)

#### PixmapCache.getPixmap

getPixmap(key)

Public method to retrieve a pixmap.

key
  name of the wanted pixmap (string)

Returns:
  the requested pixmap (QPixmap)

Up

## addSearchPath

addSearchPath(path, cache = pixCache)

Module function to add a path to the search path.

path
  path to add (QString)

Up

## getIcon

getIcon(key, cache = pixCache)

Module function to retrieve an icon.

key
  name of the wanted icon (string)

Returns:
  the requested icon (QIcon)

Up

## getPixmap

getPixmap(key, cache = pixCache)

Module function to retrieve a pixmap.

key
  name of the wanted pixmap (string)

Returns:
  the requested pixmap (QPixmap)

Up